- name: install nodejs prerequisites
  apt:
    name:
      - apt-transport-https
      - gcc
      - g++
      - make
    state: present
    update_cache: yes

- name: add nodejs apt key
  apt_key:
    url: https://deb.nodesource.com/gpgkey/nodesource.gpg.key
    state: present

- name: add nodejs repository
  apt_repository:
    repo: deb https://deb.nodesource.com/node_16.x {{ ansible_lsb.codename }} main
    state: present
    update_cache: yes

- name: install nodejs
  apt:
    name: nodejs
    state: present

- name: install yarn
  community.general.npm:
    name: yarn
    global: yes

- name: install pm2
  community.general.npm:
    name: pm2
    global: yes
